<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>main</title>
</head>
<body>
<body>
<h1>Additional Information</h1>

<form id="additional-info-form" method="post">
    <input type="text" id="name" name="name" placeholder="Name" required>
    <input type="text" id="phone" name="phone" placeholder="Phone" required>
    <input type="email" id="email" name="email" placeholder="Email" th:value="${param.email}" readonly required>
    <input type="text" id="nickName" name="nickName" placeholder="Nick Name" required>
    <input type="text" id="address" name="address" placeholder="Address" required>
    <input type="hidden" id="provider" name="provider" th:value="${param.provider}">
    <input type="checkbox" id="agreeReceiveEmail" name="agreeReceiveEmail">
    <label for="agreeReceiveEmail">Agree to receive emails</label>
    <input type="checkbox" id="agreeReceivePhone" name="agreeReceivePhone">
    <label for="agreeReceivePhone">Agree to receive phone calls</label>

    <button type="submit">Submit</button>
</form>

<script>
    document.getElementById('additional-info-form').addEventListener('submit', function(event) {
        event.preventDefault();

        var formData = new FormData(this);
        var object = {};
        formData.forEach((value, key) => {
            // 체크박스의 값이 "on"일 경우 true로 변환
            object[key] = value === "on" ? true : value;
        });
        var json = JSON.stringify(object);

        fetch('/api/members', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: json
        })
            .then(response => {
                if(response.ok) {
                    window.location.href = '/login';
                } else {
                    alert('Failed to update member information');
                }
            })
            .catch(error => console.error('Error:', error));
    });
</script>
</body>
</body>
</html>